MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Static Public Member Functions
BindMethodDetail::BindMethodWrapperGenerator2< T, M, method, R, Args > Struct Template Reference

Generate a wrapper function. More...

`#include <BindMethod.hxx>`

## Static Public Member Functions
static R | Invoke (void *_instance, Args...args)

## Detailed Description

### template<typename T, typename M, M method, typename R, typename... Args>
struct BindMethodDetail::BindMethodWrapperGenerator2< T, M, method, R, Args >

Generate a wrapper function.

Helper class for #BindMethodWrapperGenerator.

Parameters

  T | the containing class
  M | the method pointer type
  method | the method pointer
  R | the return type
  Args | the method arguments

Definition at line 144 of file BindMethod.hxx.

## Member Function Documentation

template<typename T, typename M, M method, typename R, typename... Args>

static R BindMethodDetail::BindMethodWrapperGenerator2< T, M, method, R, Args >::Invoke | ( | void * | _instance,
|  | Args... | args
| ) |  |
| inline static

Definition at line 145 of file BindMethod.hxx.

The documentation for this struct was generated from the following file:

- util/BindMethod.hxx